
D4Science Infrastructure - VM Creation #11001

Provide new VM for hosting the sdmx-datasource service

Jan 22, 2018 03:37 PM - Roberto Cirillo

Status: Closed Start date: Jan 23, 2018

Priority: Urgent Due date:  

Assignee: Roberto Cirillo % Done: 100%

Target version: SDMX-Data Export   

Infrastructure: Pre-Production Applications list and

version:

1.0.0-4.10.0-162458

RAM: 3 Applications context

path:

sdmxdatasource

CPU: 2 External storage data

disk:

 

DiskSpace: 10 Smartgears auth

connector:

 

Smartgears: Yes data transfer

enabled:

No

Smartgears Version: latest PostgreSQL

database:

No

Application

Instructions:

 Number of VMs: 1

Smartgears scopes: /gcube/preprod

/gcube/preprod/preVRE

  

Description

This service has been already provisioned for development environment.

Related issues:

Related to D4Science Infrastructure - Task #11066: sdmx-datasource-service: c... Closed Jan 26, 2018

Blocks D4Science Infrastructure - Upgrade #10933: /gcube/preprod upgrade to g... Completed Jan 15, 2018

Copied from D4Science Infrastructure - VM Creation #9873: Smart Gear VM on de... Closed Oct 02, 2017

Copied to D4Science Infrastructure - VM Creation #11122: Provide new VM for h... Closed Feb 06, 2018 Feb 11, 2018

History

#1 - Jan 22, 2018 03:37 PM - Roberto Cirillo

- Copied from VM Creation #9873: Smart Gear VM on developent infrastructure for testing new SDMX data source added

#2 - Jan 22, 2018 03:46 PM - Roberto Cirillo

Unfortunately, now we haven't a version on staging repo for this component. The staging version will be available tomorrow I hope. 

#3 - Jan 22, 2018 03:47 PM - Roberto Cirillo

- Start date changed from Oct 02, 2017 to Jan 23, 2018

#5 - Jan 24, 2018 10:48 AM - Roberto Cirillo

- Applications list and version updated

Could we try to install the open-jdk java instead of oracle-java, if the java version is < "1.8.0_161" on ubuntu repo (#11020)?

Could I have access to the related dev instance "sdmx-datasource-d.dev.d4science.org" ?

#6 - Jan 24, 2018 10:57 AM - Andrea Dell'Amico

Roberto Cirillo wrote:

Could we try to install the open-jdk java instead of oracle-java, if the java version is < "1.8.0_161" on ubuntu repo (#11020)?
 That's the plan. The difference between the Oracle repository (it's not even a repository, but a brutal hack) is that the repositories usually maintain

some older versions of the packages too, so we can stick to them. The repository we are using is two releases behind, stuck at build 141. We could

use the backports repository for Ubuntu trusty that provides a more up to date openjdk, but not until the CXF problem has been fixed.

Could I have access to the related dev instance "sdmx-datasource-d.dev.d4science.org" ?

 ? You already have access as both root and gcube. You always have access to all the gcube VMs.

#7 - Jan 24, 2018 11:41 AM - Roberto Cirillo

Andrea Dell'Amico wrote:

Roberto Cirillo wrote:

Could we try to install the open-jdk java instead of oracle-java, if the java version is < "1.8.0_161" on ubuntu repo (#11020)?

 That's the plan. The difference between the Oracle repository (it's not even a repository, but a brutal hack) is that the repositories usually

maintain some older versions of the packages too, so we can stick to them. The repository we are using is two releases behind, stuck at build

141. We could use the backports repository for Ubuntu trusty that provides a more up to date openjdk, but not until the CXF problem has been

fixed.

 OK

Could I have access to the related dev instance "sdmx-datasource-d.dev.d4science.org" ?

 ? You already have access as both root and gcube. You always have access to all the gcube VMs.

 My fault. I'm able to access to dev instance but only if I add the related domain: 

ssh gcube@sdmx-datasource-d.dev.d4science.org

 I'm not able to access without the domain: 

ssh gcube@sdmx-datasource-d.dev

 but this is not a big problem.

If I try to ping it, I have the following result:

rcirillo@rcirillo-cnr:~$ ping accounting-service1-d.dev

PING accounting-service1-d.dev (127.0.53.53) 56(84) bytes of data.

64 bytes from 127.0.53.53: icmp_seq=1 ttl=64 time=0.015 ms

64 bytes from 127.0.53.53: icmp_seq=2 ttl=64 time=0.022 ms

rcirillo@rcirillo-cnr:~$ ping accounting-service1-d.dev.d4science.org

PING accounting-service1-d.dev.d4science.org (146.48.122.56) 56(84) bytes of data.

64 bytes from accounting-service1-d.dev.d4science.org (146.48.122.56): icmp_seq=1 ttl=63 time=0.220 ms

64 bytes from accounting-service1-d.dev.d4science.org (146.48.122.56): icmp_seq=2 ttl=63 time=0.240 ms

64 bytes from accounting-service1-d.dev.d4science.org (146.48.122.56): icmp_seq=3 ttl=63 time=0.212 ms

#8 - Jan 24, 2018 11:49 AM - Andrea Dell'Amico

Roberto Cirillo wrote:

If I try to ping it, I have the following result:

rcirillo@rcirillo-cnr:~$ ping accounting-service1-d.dev

PING accounting-service1-d.dev (127.0.53.53) 56(84) bytes of data.

64 bytes from 127.0.53.53: icmp_seq=1 ttl=64 time=0.015 ms

64 bytes from 127.0.53.53: icmp_seq=2 ttl=64 time=0.022 ms

 
rcirillo@rcirillo-cnr:~$ ping accounting-service1-d.dev.d4science.org

PING accounting-service1-d.dev.d4science.org (146.48.122.56) 56(84) bytes of data.

64 bytes from accounting-service1-d.dev.d4science.org (146.48.122.56): icmp_seq=1 ttl=63 time=0.220 ms

64 bytes from accounting-service1-d.dev.d4science.org (146.48.122.56): icmp_seq=2 ttl=63 time=0.240 ms

64 bytes from accounting-service1-d.dev.d4science.org (146.48.122.56): icmp_seq=3 ttl=63 time=0.212 ms

 

It's a desktop configuration issue. It seems that all non qualified hostnames are treated as local.
#9 - Jan 24, 2018 12:09 PM - Roberto Cirillo

Andrea Dell'Amico wrote:

Roberto Cirillo wrote:

If I try to ping it, I have the following result:

rcirillo@rcirillo-cnr:~$ ping accounting-service1-d.dev

PING accounting-service1-d.dev (127.0.53.53) 56(84) bytes of data.

64 bytes from 127.0.53.53: icmp_seq=1 ttl=64 time=0.015 ms

64 bytes from 127.0.53.53: icmp_seq=2 ttl=64 time=0.022 ms

 
rcirillo@rcirillo-cnr:~$ ping accounting-service1-d.dev.d4science.org

PING accounting-service1-d.dev.d4science.org (146.48.122.56) 56(84) bytes of data.

64 bytes from accounting-service1-d.dev.d4science.org (146.48.122.56): icmp_seq=1 ttl=63 time=0.220 ms

64 bytes from accounting-service1-d.dev.d4science.org (146.48.122.56): icmp_seq=2 ttl=63 time=0.240 ms

64 bytes from accounting-service1-d.dev.d4science.org (146.48.122.56): icmp_seq=3 ttl=63 time=0.212 ms

 

It's a desktop configuration issue. It seems that all non qualified hostnames are treated as local.

 not all. I'm able to access to all the "old" VMs without domain specification. I've just tried with tabulardata, dataminer etc. Maybe I'm not able to access

without domain, only in the latest VMs created. I've tried:

accounting-service1-d.dev

sdmx-datasource-d.dev

 Have you any hint?

#10 - Jan 24, 2018 12:22 PM - Andrea Dell'Amico

Try to add dev.d4science.org as an additional search namespace in /etc/resolv.conf (or wherever you configure that on your desktop).

We are heavily off topic, btw.

#11 - Jan 24, 2018 12:41 PM - Roberto Cirillo

OK now it works, thanks.

#12 - Jan 25, 2018 09:56 AM - Roberto Cirillo

- Priority changed from High to Urgent

I'll be able to execute the playbook for installing the service when the new VM is ready.

#13 - Jan 25, 2018 09:56 AM - Roberto Cirillo

- Blocks Upgrade #10933: /gcube/preprod upgrade to gCube 4.10.0 added

#14 - Jan 25, 2018 11:50 AM - Tommaso Piccioli

- Status changed from New to In Progress

- Assignee changed from _InfraScience Systems Engineer to Roberto Cirillo

- % Done changed from 0 to 50

New VM is

sdmx-datasource-t.pre.d4science.org

#15 - Jan 25, 2018 03:34 PM - Roberto Cirillo

- Assignee changed from Roberto Cirillo to Tommaso Piccioli

The VM seems to be unreachable:

rcirillo@rcirillo-cnr:~$ ping sdmx-datasource-t.pre.d4science.org

PING sdmx-datasource-t.pre.d4science.org (146.48.122.163) 56(84) bytes of data.

^C

--- sdmx-datasource-t.pre.d4science.org ping statistics ---

10 packets transmitted, 0 received, 100% packet loss, time 9072ms

 I also need root access in order to run the playbook
#16 - Jan 25, 2018 03:35 PM - Roberto Cirillo

- Assignee changed from Tommaso Piccioli to _InfraScience Systems Engineer

#17 - Jan 25, 2018 04:25 PM - Roberto Cirillo

- Status changed from In Progress to Closed

- Assignee changed from _InfraScience Systems Engineer to Roberto Cirillo

- % Done changed from 50 to 100

#18 - Jan 26, 2018 03:16 PM - Roberto Cirillo

- Related to Task #11066: sdmx-datasource-service: change context path to "sdmx-datasource-service" added

#19 - Feb 06, 2018 05:10 PM - Roberto Cirillo

- Copied to VM Creation #11122: Provide new VM for hosting the sdmx-datasource service added
